\c ubap;

-- int1 in us-west-2 region
INSERT INTO ubs_state.stage_topic (stage_id, sns_arn, enabled) VALUES (
   (select id from ubs_state.stage WHERE name = 'YARA'),
    'arn:aws:sns:us-east-2:607649444847:scl4use2-ubap-sns-triggers-yara-analysis-trigger',
    True
) ON CONFLICT (stage_id) DO UPDATE
    SET sns_arn = 'arn:aws:sns:us-east-2:607649444847:scl4use2-ubap-sns-triggers-yara-analysis-trigger',
        date_modified = now();

INSERT INTO ubs_state.stage_topic (stage_id, sns_arn, enabled) VALUES (
   (select id from ubs_state.stage WHERE name = 'APC_LOOKUP'),
    'arn:aws:sns:us-east-2:607649444847:scl4use2-ubap-sns-triggers-apc-lookup-trigger',
    True
) ON CONFLICT (stage_id) DO UPDATE
    SET sns_arn = 'arn:aws:sns:us-east-2:607649444847:scl4use2-ubap-sns-triggers-apc-lookup-trigger',
        date_modified = now();

INSERT INTO ubs_state.stage_topic (stage_id, sns_arn, enabled) VALUES (
   (select id from ubs_state.stage WHERE name = 'APC_LOOKUP_POLL'),
    'arn:aws:sns:us-east-2:607649444847:scl4use2-ubap-sns-triggers-apc-lookup-trigger',
    True
) ON CONFLICT (stage_id)  DO UPDATE
    SET sns_arn = 'arn:aws:sns:us-east-2:607649444847:scl4use2-ubap-sns-triggers-apc-lookup-trigger',
        date_modified = now();

INSERT INTO ubs_state.stage_topic (stage_id, sns_arn, enabled) VALUES (
   (select id from ubs_state.stage WHERE name = 'APC_UPLOAD'),
    'arn:aws:sns:us-east-2:607649444847:scl4use2-ubap-sns-triggers-apc-upload-trigger',
    True
) ON CONFLICT (stage_id) DO UPDATE
    SET sns_arn = 'arn:aws:sns:us-east-2:607649444847:scl4use2-ubap-sns-triggers-apc-upload-trigger',
        date_modified = now();